package cn.com.ctop.crawler.modules.account.service.impl;

import cn.com.ctop.crawler.modules.account.entity.KuaishouAdAccount;
import cn.com.ctop.crawler.modules.account.mapper.KuaishouAdAccountMapper;
import cn.com.ctop.crawler.modules.account.service.IKuaishouAdAccountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Primary

public class KuaishouAdAccountServiceImpl extends ServiceImpl<KuaishouAdAccountMapper, KuaishouAdAccount> implements IKuaishouAdAccountService {
    @Autowired
    private KuaishouAdAccountMapper kuaishouAdAccountMapper;

    @Override
    public List<KuaishouAdAccount> querySyncAccount(){
        return kuaishouAdAccountMapper.querySyncAccount();
    }

    @Override
    public List<String> companySugest(String company){
        return kuaishouAdAccountMapper.companySugest(company);
    }

    @Override
    public List<String> productSugest(String product){
        return kuaishouAdAccountMapper.productSugest(product);
    }
}
